List agents

Base URL
https://{kibana_url}
  • GET /api/agent_builder/agents
  • GET /s/{space_id}/api/agent_builder/agents
Auth

List all available agents. Use this endpoint to retrieve complete agent information including their current configuration and assigned tools. To learn more about agents, refer to the agents documentation.

Required authorization

Privileges agentBuilder:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

include_hidden boolean · default: false

When true, hidden agents (such as built-in system agents) are included in the response.

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}